Package org.apache.coyote

## Class CloseNowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.coyote.CloseNowException

All Implemented Interfaces:
  `java.io.Serializable`

    public class CloseNowException
    extends java.io.IOException

This exception is thrown to signal to the Tomcat internals that an error has occurred that requires the connection to be closed. For multiplexed protocols such as HTTP/2, this means the channel must be closed but the connection can continue. For non-multiplexed protocols, the connection must be closed. It corresponds to `ErrorState.CLOSE_NOW`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CloseNowException()`
`CloseNowException​(java.lang.String message)`
`CloseNowException​(java.lang.String message, java.lang.Throwable cause)`
`CloseNowException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloseNowException

    public CloseNowException()

#### CloseNowException

    public CloseNowException​(java.lang.String message,
                             java.lang.Throwable cause)

#### CloseNowException

    public CloseNowException​(java.lang.String message)

#### CloseNowException

    public CloseNowException​(java.lang.Throwable cause)